/launchdarkly-account | Type: Application | PCID required: Yes
Tools
launchdarkly_account_create_oauth2client
Create a LaunchDarkly OAuth 2.0 client Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
description | string | No | — | Description of your OAuth 2.0 client. |
name | string | No | — | The name of your new LaunchDarkly OAuth 2.0 client. |
redirectUri | string | No | — | The redirect URI for your new OAuth 2.0 application. This should be an absolute URL conforming with the standard HTTPS protocol. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"description": {
"type": "string",
"description": "Description of your OAuth 2.0 client."
},
"name": {
"type": "string",
"description": "The name of your new LaunchDarkly OAuth 2.0 client."
},
"redirectUri": {
"type": "string",
"description": "The redirect URI for your new OAuth 2.0 application. This should be an absolute URL conforming with the standard HTTPS protocol."
}
},
"required": [
"PCID"
]
}
launchdarkly_account_delete_custom_role
Delete custom role Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customRoleKey | string | Yes | — | The custom role key |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customRoleKey": {
"type": "string",
"description": "The custom role key"
}
},
"required": [
"PCID",
"customRoleKey"
]
}
launchdarkly_account_delete_member
Delete account member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The member ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The member ID"
}
},
"required": [
"PCID",
"id"
]
}
launchdarkly_account_delete_oauth_client
Delete OAuth 2.0 client Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
clientId | string | Yes | — | The client ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"clientId": {
"type": "string",
"description": "The client ID"
}
},
"required": [
"PCID",
"clientId"
]
}
launchdarkly_account_delete_team
Delete team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamKey | string | Yes | — | The team key |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamKey": {
"type": "string",
"description": "The team key"
}
},
"required": [
"PCID",
"teamKey"
]
}
launchdarkly_account_delete_token
Delete access token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the access token to update |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the access token to update"
}
},
"required": [
"PCID",
"id"
]
}
launchdarkly_account_get_custom_role
Get custom role Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customRoleKey | string | Yes | — | The custom role key or ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customRoleKey": {
"type": "string",
"description": "The custom role key or ID"
}
},
"required": [
"PCID",
"customRoleKey"
]
}
launchdarkly_account_get_custom_roles
List custom roles Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | The maximum number of custom roles to return. Defaults to 20. |
offset | integer | No | — | Where to start in the list. Defaults to 0. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "The maximum number of custom roles to return. Defaults to 20."
},
"offset": {
"type": "integer",
"description": "Where to start in the list. Defaults to 0. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query `limit`."
}
},
"required": [
"PCID"
]
}
launchdarkly_account_get_member
Get account member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The member ID |
expand | string | No | — | A comma-separated list of properties that can reveal additional information in the response. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The member ID"
},
"expand": {
"type": "string",
"description": "A comma-separated list of properties that can reveal additional information in the response."
}
},
"required": [
"PCID",
"id"
]
}
launchdarkly_account_get_members
List account members Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | The number of members to return in the response. Defaults to 20. |
offset | integer | No | — | Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit. |
filter | string | No | — | A comma-separated list of filters. Each filter is of the form field:value. Supported fields are explained above. |
expand | string | No | — | A comma-separated list of properties that can reveal additional information in the response. |
sort | string | No | — | A comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "The number of members to return in the response. Defaults to 20."
},
"offset": {
"type": "integer",
"description": "Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query `limit`."
},
"filter": {
"type": "string",
"description": "A comma-separated list of filters. Each filter is of the form `field:value`. Supported fields are explained above."
},
"expand": {
"type": "string",
"description": "A comma-separated list of properties that can reveal additional information in the response."
},
"sort": {
"type": "string",
"description": "A comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order."
}
},
"required": [
"PCID"
]
}
launchdarkly_account_get_oauth_client_by_id
Get client by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
clientId | string | Yes | — | The client ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"clientId": {
"type": "string",
"description": "The client ID"
}
},
"required": [
"PCID",
"clientId"
]
}
launchdarkly_account_get_oauth_clients
Get clientsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
launchdarkly_account_get_team
Get team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamKey | string | Yes | — | The team key. |
expand | string | No | — | A comma-separated list of properties that can reveal additional information in the response. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamKey": {
"type": "string",
"description": "The team key."
},
"expand": {
"type": "string",
"description": "A comma-separated list of properties that can reveal additional information in the response."
}
},
"required": [
"PCID",
"teamKey"
]
}
launchdarkly_account_get_team_maintainers
Get team maintainers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamKey | string | Yes | — | The team key |
limit | integer | No | — | The number of maintainers to return in the response. Defaults to 20. |
offset | integer | No | — | Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamKey": {
"type": "string",
"description": "The team key"
},
"limit": {
"type": "integer",
"description": "The number of maintainers to return in the response. Defaults to 20."
},
"offset": {
"type": "integer",
"description": "Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query `limit`."
}
},
"required": [
"PCID",
"teamKey"
]
}
launchdarkly_account_get_team_roles
Get team custom roles Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamKey | string | Yes | — | The team key |
limit | integer | No | — | The number of roles to return in the response. Defaults to 20. |
offset | integer | No | — | Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamKey": {
"type": "string",
"description": "The team key"
},
"limit": {
"type": "integer",
"description": "The number of roles to return in the response. Defaults to 20."
},
"offset": {
"type": "integer",
"description": "Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query `limit`."
}
},
"required": [
"PCID",
"teamKey"
]
}
launchdarkly_account_get_teams
List teams Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | The number of teams to return in the response. Defaults to 20. |
offset | integer | No | — | Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and returns the next limit items. |
filter | string | No | — | A comma-separated list of filters. Each filter is constructed as field:value. |
expand | string | No | — | A comma-separated list of properties that can reveal additional information in the response. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "The number of teams to return in the response. Defaults to 20."
},
"offset": {
"type": "integer",
"description": "Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and returns the next `limit` items."
},
"filter": {
"type": "string",
"description": "A comma-separated list of filters. Each filter is constructed as `field:value`."
},
"expand": {
"type": "string",
"description": "A comma-separated list of properties that can reveal additional information in the response."
}
},
"required": [
"PCID"
]
}
launchdarkly_account_get_token
Get access token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the access token |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the access token"
}
},
"required": [
"PCID",
"id"
]
}
launchdarkly_account_get_tokens
List access tokens Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
showAll | boolean | No | — | If set to true, and the authentication access token has the ‘Admin’ role, personal access tokens for all members will be retrieved. |
limit | integer | No | — | The number of access tokens to return in the response. Defaults to 25. |
offset | integer | No | — | Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"showAll": {
"type": "boolean",
"description": "If set to true, and the authentication access token has the 'Admin' role, personal access tokens for all members will be retrieved."
},
"limit": {
"type": "integer",
"description": "The number of access tokens to return in the response. Defaults to 25."
},
"offset": {
"type": "integer",
"description": "Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query `limit`."
}
},
"required": [
"PCID"
]
}
launchdarkly_account_patch_custom_role
Update custom role Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customRoleKey | string | Yes | — | The custom role key |
comment | string | No | — | Optional comment |
patch | object[] | Yes | — | The patch value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customRoleKey": {
"type": "string",
"description": "The custom role key"
},
"comment": {
"type": "string",
"description": "Optional comment"
},
"patch": {
"type": "array",
"items": {
"type": "object",
"properties": {
"op": {
"type": "string",
"description": "The type of operation to perform"
},
"path": {
"type": "string",
"description": "A JSON Pointer string specifying the part of the document to operate on"
},
"value": {
"description": "A JSON value used in \"add\", \"replace\", and \"test\" operations"
}
},
"required": [
"op",
"path"
]
},
"description": "The patch value"
}
},
"required": [
"PCID",
"customRoleKey",
"patch"
]
}
launchdarkly_account_patch_member
Modify an account member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The member ID |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The member ID"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"op": {
"type": "string",
"description": "The type of operation to perform"
},
"path": {
"type": "string",
"description": "A JSON Pointer string specifying the part of the document to operate on"
},
"value": {
"description": "A JSON value used in \"add\", \"replace\", and \"test\" operations"
}
},
"required": [
"op",
"path"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"id",
"body"
]
}
launchdarkly_account_patch_members
Modify account members Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
comment | string | No | — | Optional comment describing the update |
instructions | object[] | Yes | — | The instructions value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"comment": {
"type": "string",
"description": "Optional comment describing the update"
},
"instructions": {
"type": "array",
"items": {
"type": "object"
},
"description": "The instructions value"
}
},
"required": [
"PCID",
"instructions"
]
}
launchdarkly_account_patch_oauth_client
Patch client by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
clientId | string | Yes | — | The client ID |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"clientId": {
"type": "string",
"description": "The client ID"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"op": {
"type": "string",
"description": "The type of operation to perform"
},
"path": {
"type": "string",
"description": "A JSON Pointer string specifying the part of the document to operate on"
},
"value": {
"description": "A JSON value used in \"add\", \"replace\", and \"test\" operations"
}
},
"required": [
"op",
"path"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"clientId",
"body"
]
}
launchdarkly_account_patch_team
Update team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamKey | string | Yes | — | The team key |
expand | string | No | — | A comma-separated list of properties that can reveal additional information in the response. Supported fields are explained above. |
comment | string | No | — | Optional comment describing the update |
instructions | object[] | Yes | — | The instructions value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamKey": {
"type": "string",
"description": "The team key"
},
"expand": {
"type": "string",
"description": "A comma-separated list of properties that can reveal additional information in the response. Supported fields are explained above."
},
"comment": {
"type": "string",
"description": "Optional comment describing the update"
},
"instructions": {
"type": "array",
"items": {
"type": "object"
},
"description": "The instructions value"
}
},
"required": [
"PCID",
"teamKey",
"instructions"
]
}
launchdarkly_account_patch_teams
Update teams Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
comment | string | No | — | Optional comment describing the update |
instructions | object[] | Yes | — | The instructions value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"comment": {
"type": "string",
"description": "Optional comment describing the update"
},
"instructions": {
"type": "array",
"items": {
"type": "object"
},
"description": "The instructions value"
}
},
"required": [
"PCID",
"instructions"
]
}
launchdarkly_account_patch_token
Patch access token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the access token to update |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the access token to update"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"op": {
"type": "string",
"description": "The type of operation to perform"
},
"path": {
"type": "string",
"description": "A JSON Pointer string specifying the part of the document to operate on"
},
"value": {
"description": "A JSON value used in \"add\", \"replace\", and \"test\" operations"
}
},
"required": [
"op",
"path"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"id",
"body"
]
}
launchdarkly_account_post_custom_role
Create custom role Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
basePermissions | string | No | — | Base Permissions |
description | string | No | — | Description of custom role |
key | string | Yes | — | The custom role key |
name | string | Yes | — | A human-friendly name for the custom role |
policy | object[] | Yes | — | The policy value |
resourceCategory | string | No | — | Resource Category |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"basePermissions": {
"type": "string",
"description": "Base Permissions"
},
"description": {
"type": "string",
"description": "Description of custom role"
},
"key": {
"type": "string",
"description": "The custom role key"
},
"name": {
"type": "string",
"description": "A human-friendly name for the custom role"
},
"policy": {
"type": "array",
"items": {
"type": "object",
"properties": {
"resources": {
"type": "array",
"items": {
"type": "string"
},
"description": "Resource specifier strings"
},
"notResources": {
"type": "array",
"items": {
"type": "string"
},
"description": "Targeted resources are the resources NOT in this list. The <code>resources</code> field must be empty to use this field."
},
"actions": {
"type": "array",
"items": {
"type": "string"
},
"description": "Actions to perform on a resource"
},
"notActions": {
"type": "array",
"items": {
"type": "string"
},
"description": "Targeted actions are the actions NOT in this list. The <code>actions</code> field must be empty to use this field."
},
"effect": {
"type": "string",
"enum": [
"allow",
"deny"
],
"description": "Whether this statement should allow or deny actions on the resources."
}
},
"required": [
"effect"
]
},
"description": "The policy value"
},
"resourceCategory": {
"type": "string",
"description": "Resource Category"
}
},
"required": [
"PCID",
"key",
"name",
"policy"
]
}
launchdarkly_account_post_member_teams
Add a member to teams Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The member ID |
teamKeys | string[] | Yes | — | List of team keys |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The member ID"
},
"teamKeys": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of team keys"
}
},
"required": [
"PCID",
"id",
"teamKeys"
]
}
launchdarkly_account_post_members
Invite new members Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "The member's email"
},
"password": {
"type": "string",
"description": "The member's password"
},
"firstName": {
"type": "string",
"description": "The member's first name"
},
"lastName": {
"type": "string",
"description": "The member's last name"
},
"role": {
"type": "string",
"enum": [
"reader",
"writer",
"admin",
"no_access"
],
"description": "The member's initial role, if you are using a base role for the initial role"
},
"customRoles": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of the member's initial roles, if you are using custom roles or preset roles provided by LaunchDarkly"
},
"teamKeys": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of the member's teams"
},
"roleAttributes": {
"type": "object",
"description": "Role Attributes"
}
},
"required": [
"email"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
launchdarkly_account_post_team
Create team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
expand | string | No | — | A comma-separated list of properties that can reveal additional information in the response. Supported fields are explained above. |
customRoleKeys | string[] | No | — | List of custom role keys the team will access |
description | string | No | — | A description of the team |
key | string | Yes | — | The team key |
memberIDs | string[] | No | — | A list of member IDs who belong to the team |
name | string | Yes | — | A human-friendly name for the team |
permissionGrants | object[] | No | — | A list of permission grants. Permission grants allow access to a specific action, without having to create or update a custom role. |
roleAttributes | object | No | — | Role Attributes |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"expand": {
"type": "string",
"description": "A comma-separated list of properties that can reveal additional information in the response. Supported fields are explained above."
},
"customRoleKeys": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of custom role keys the team will access"
},
"description": {
"type": "string",
"description": "A description of the team"
},
"key": {
"type": "string",
"description": "The team key"
},
"memberIDs": {
"type": "array",
"items": {
"type": "string"
},
"description": "A list of member IDs who belong to the team"
},
"name": {
"type": "string",
"description": "A human-friendly name for the team"
},
"permissionGrants": {
"type": "array",
"items": {
"type": "object",
"properties": {
"actionSet": {
"type": "string",
"enum": [
"maintainTeam"
],
"description": "A group of related actions to allow. Specify either <code>actionSet</code> or <code>actions</code>. Use <code>maintainTeam</code> to add team maintainers."
},
"actions": {
"type": "array",
"items": {
"type": "string"
},
"description": "A list of actions to allow. Specify either <code>actionSet</code> or <code>actions</code>. To learn more, read [Role actions](https://launchdarkly.com/docs/ld-docs/home/account/role-actions)."
},
"memberIDs": {
"type": "array",
"items": {
"type": "string"
},
"description": "A list of member IDs who receive the permission grant."
}
}
},
"description": "A list of permission grants. Permission grants allow access to a specific action, without having to create or update a custom role."
},
"roleAttributes": {
"type": "object",
"description": "Role Attributes"
}
},
"required": [
"PCID",
"key",
"name"
]
}
launchdarkly_account_post_team_members
Add multiple members to team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamKey | string | Yes | — | The team key |
file | string | No | — | CSV file containing email addresses |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamKey": {
"type": "string",
"description": "The team key"
},
"file": {
"type": "string",
"description": "CSV file containing email addresses"
}
},
"required": [
"PCID",
"teamKey"
]
}
launchdarkly_account_post_token
Create access token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customRoleIds | string[] | No | — | A list of custom role IDs to use as access limits for the access token |
defaultApiVersion | integer | No | — | The default API version for this token |
description | string | No | — | A description for the access token |
inlineRole | object[] | No | — | A JSON array of statements represented as JSON objects with three attributes: effect, resources, actions. May be used in place of a role. |
name | string | No | — | A human-friendly name for the access token |
role | string | No | — | Base role for the token |
serviceToken | boolean | No | — | Whether the token is a service token |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customRoleIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "A list of custom role IDs to use as access limits for the access token"
},
"defaultApiVersion": {
"type": "integer",
"description": "The default API version for this token"
},
"description": {
"type": "string",
"description": "A description for the access token"
},
"inlineRole": {
"type": "array",
"items": {
"type": "object",
"properties": {
"resources": {
"type": "array",
"items": {
"type": "string"
},
"description": "Resource specifier strings"
},
"notResources": {
"type": "array",
"items": {
"type": "string"
},
"description": "Targeted resources are the resources NOT in this list. The <code>resources</code> field must be empty to use this field."
},
"actions": {
"type": "array",
"items": {
"type": "string"
},
"description": "Actions to perform on a resource"
},
"notActions": {
"type": "array",
"items": {
"type": "string"
},
"description": "Targeted actions are the actions NOT in this list. The <code>actions</code> field must be empty to use this field."
},
"effect": {
"type": "string",
"enum": [
"allow",
"deny"
],
"description": "Whether this statement should allow or deny actions on the resources."
}
},
"required": [
"effect"
]
},
"description": "A JSON array of statements represented as JSON objects with three attributes: effect, resources, actions. May be used in place of a role."
},
"name": {
"type": "string",
"description": "A human-friendly name for the access token"
},
"role": {
"type": "string",
"description": "Base role for the token",
"enum": [
"reader",
"writer",
"admin"
]
},
"serviceToken": {
"type": "boolean",
"description": "Whether the token is a service token"
}
},
"required": [
"PCID"
]
}
launchdarkly_account_reset_token
Reset access token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the access token to update |
expiry | integer | No | — | An expiration time for the old token key, expressed as a Unix epoch time in milliseconds. By default, the token will expire immediately. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the access token to update"
},
"expiry": {
"type": "integer",
"description": "An expiration time for the old token key, expressed as a Unix epoch time in milliseconds. By default, the token will expire immediately."
}
},
"required": [
"PCID",
"id"
]
}

